<?php

	include_once( PLOG_CLASS_PATH."class/action/admin/siteadminaction.class.php" );
    include_once( PLOG_CLASS_PATH."class/view/admin/admintemplatedview.class.php" );

    /**
     * \ingroup Action
     * @private
     *
     * This one only shows some statistics about the site...
     */
    class AdminSiteSettingsAction extends SiteAdminAction 
    {   
    	function AdminSiteSettingsAction( $actionInfo, $request )
        {
        	$this->SiteAdminAction( $actionInfo, $request );
        }

        function perform()
        {
        	$this->_view = new AdminTemplatedView( $this->_blogInfo, "adminsettings" );
            $this->setCommonData();

            return true;
        }
    }
?>
